Debian Bug report logs - #398018
wireless-tools: iwlist crashes on my airmac extreme network.

version graph

Package: wireless-tools; Maintainer for wireless-tools is Guus Sliepen <guus@debian.org>; Source for wireless-tools is src:wireless-tools.

Reported by: Charles Plessy <charles-debian-nospam@plessy.org>

Date: Sat, 11 Nov 2006 05:48:01 UTC

Severity: normal

Found in version wireless-tools/28-1

Fixed in version wireless-tools/29~pre17-1

Done: Guus Sliepen <guus@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Jean Tourrilhes <jt@hpl.hp.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#398018; Package wireless-tools. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
New Bug report received and forwarded. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wireless-tools: iwlist crashes on my airmac extreme network.
Date: Sat, 11 Nov 2006 14:35:29 +0900
[Message part 1 (text/plain, inline)]
Package: wireless-tools
Version: 28-1
Severity: normal

Dear Guus,

iwlist scan crashes on my system the following way:

sorbet【~】$ LC_ALL=C /sbin/iwlist scan
lo        Interface doesn't support scanning.

eth1      Interface doesn't support scanning.

eth2      Interface doesn't support scanning.

eth0      Scan completed :
          Cell 01 - Address: 76:40:00:01:00:11
                    ESSID:"" [64]
                    Protocol:v@IEEE 802.11b
Erreur de segmentation

sorbet【~】$ lspci |grep Wireless
0001:01:01.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)

I attached a strace to this bug.

The network works fine however.

Have a nice weekend,

	Charles Plessy, Wako, Saitama, Japan


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18farm
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages wireless-tools depends on:
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  libiw28                      28-1        Wireless tools - library

wireless-tools recommends no packages.

-- no debconf information
[iwlist.strace (text/plain, attachment)]

Reply sent to Guus Sliepen <guus@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 398018-forwarded@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Jean Tourrilhes <jt@hpl.hp.com>
Cc: 398018-forwarded@bugs.debian.org
Subject: [charles-debian-nospam@plessy.org: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.]
Date: Thu, 16 Nov 2006 15:00:32 +0100
[Message part 1 (text/plain, inline)]
Hello Jean,

Attached is a bugreport regarding iwlist from wireless-tools version 28.
Do you know if this is a bug in iwlist or in the driver, and if it's
fixed in a later version of either?

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[Message part 2 (message/rfc822, inline)]
From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.
Date: Sat, 11 Nov 2006 14:35:29 +0900
[mutt-xar-1001-7753-34 (text/plain, inline)]
Package: wireless-tools
Version: 28-1
Severity: normal

Dear Guus,

iwlist scan crashes on my system the following way:

sorbet【~】$ LC_ALL=C /sbin/iwlist scan
lo        Interface doesn't support scanning.

eth1      Interface doesn't support scanning.

eth2      Interface doesn't support scanning.

eth0      Scan completed :
          Cell 01 - Address: 76:40:00:01:00:11
                    ESSID:"" [64]
                    Protocol:v@IEEE 802.11b
Erreur de segmentation

sorbet【~】$ lspci |grep Wireless
0001:01:01.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)

I attached a strace to this bug.

The network works fine however.

Have a nice weekend,

	Charles Plessy, Wako, Saitama, Japan


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18farm
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages wireless-tools depends on:
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  libiw28                      28-1        Wireless tools - library

wireless-tools recommends no packages.

-- no debconf information
[iwlist.strace (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message #9 received at 398018-forwarded@bugs.debian.org (full text, mbox):

From: Jean Tourrilhes <jt@hpl.hp.com>
To: Guus Sliepen <guus@debian.org>
Cc: 398018-forwarded@bugs.debian.org
Subject: Re: [charles-debian-nospam@plessy.org: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.]
Date: Thu, 16 Nov 2006 12:49:16 -0800
On Thu, Nov 16, 2006 at 03:00:32PM +0100, Guus Sliepen wrote:
> Hello Jean,
> 
> Attached is a bugreport regarding iwlist from wireless-tools version 28.
> Do you know if this is a bug in iwlist or in the driver, and if it's
> fixed in a later version of either?
> 
> -- 
> Met vriendelijke groet / with kind regards,
>       Guus Sliepen <guus@debian.org>

> Subject: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.
> 
> Package: wireless-tools
> Version: 28-1
> Severity: normal
> 
> Dear Guus,
> 
> iwlist scan crashes on my system the following way:
> 
> sorbet???~???$ LC_ALL=C /sbin/iwlist scan
> lo        Interface doesn't support scanning.
> 
> eth1      Interface doesn't support scanning.
> 
> eth2      Interface doesn't support scanning.
> 
> eth0      Scan completed :
>           Cell 01 - Address: 76:40:00:01:00:11
>                     ESSID:"" [64]
>                     Protocol:v@IEEE 802.11b
> Erreur de segmentation

	Wow ! That's pretty bad corruption. The data comming from the
card is all garbage. It's probably easy to fix the segfault. The
corruption is going to be harder.
	The corruption is comming from the driver. It would be
interesting to know which version of which driver you used and how it
was compiled. I wonder if 64 bits issues in the driver might have
something to do with it.

	Good luck...

	Jean



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#398018; Package wireless-tools. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at 398018@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Charles Plessy <charles-debian-nospam@plessy.org>, 398018@bugs.debian.org
Subject: Re: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.
Date: Thu, 16 Nov 2006 22:08:33 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 11, 2006 at 02:35:29PM +0900, Charles Plessy wrote:

[...]
> eth0      Scan completed :
>           Cell 01 - Address: 76:40:00:01:00:11
>                     ESSID:"" [64]
>                     Protocol:v@IEEE 802.11b
> Erreur de segmentation
> 
> sorbet【~】$ lspci |grep Wireless
> 0001:01:01.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)

The upstream maintainer of wireless-tools (Jean Tourrilhes) thinks that
the Broadcom driver is buggy and is sending back corrupted structures to
wireless-tools. Wireless-tools should of course not crash, but you
should also contact the maintainers of the Broadcom driver and tell them
there's a problem.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Message #15 received at 398018-forwarded@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Guus Sliepen <guus@debian.org>
Subject: Re: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.
Date: Sat, 18 Nov 2006 20:55:38 +0900
Le Thu, Nov 16, 2006 at 10:08:33PM +0100, Guus Sliepen a écrit :
> The upstream maintainer of wireless-tools (Jean Tourrilhes) thinks that
> the Broadcom driver is buggy and is sending back corrupted structures to
> wireless-tools. Wireless-tools should of course not crash, but you
> should also contact the maintainers of the Broadcom driver and tell them
> there's a problem.

Hi, thanks for the answer. I tried to drop a message on #bcm-dev on
freenode. Unfortunately, I could not find a mail adress to contact, and
the user support is done through a web forum which requires
registration.

Please contact me if the upstream author publishes a fix for the
segfault, I will test on my computer, and report to the bug properly.

Have a nice day,

-- 
Charles Plessy
http://charles.plessy.org
Wako, Saitama, Japan



Message #16 received at 398018-forwarded@bugs.debian.org (full text, mbox):

From: Jean Tourrilhes <jt@hpl.hp.com>
To: Guus Sliepen <guus@debian.org>, Charles Plessy <charles-debian@plessy.org>, Charles Plessy <charles-debian-nospam@plessy.org>
Cc: 398018-forwarded@bugs.debian.org
Subject: Re: [charles-debian-nospam@plessy.org: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.]
Date: Thu, 15 Mar 2007 17:02:46 -0700
On Thu, Nov 16, 2006 at 03:00:32PM +0100, Guus Sliepen wrote:
> 
> Package: wireless-tools
> Version: 28-1
> Severity: normal
> 
> Dear Guus,
> 
> iwlist scan crashes on my system the following way:
> 
> sorbet???~???$ LC_ALL=C /sbin/iwlist scan
> lo        Interface doesn't support scanning.
> 
> eth1      Interface doesn't support scanning.
> 
> eth2      Interface doesn't support scanning.
> 
> eth0      Scan completed :
>           Cell 01 - Address: 76:40:00:01:00:11
>                     ESSID:"" [64]
>                     Protocol:v@IEEE 802.11b
> Erreur de segmentation

	Believe it or not, I think we are making progress on that
bug. The most likely cause is that you are using a 32 bit userspace on
a 64 bit kernel.
	I've put a new version of Wireless Tools on my web page,
version 29-pre17. I would be grateful if you were to test that version
and report if it fixes your bug or not.
	It's quite important that you confirm the fix, as I can not
reproduce the bug, and therefore won't release the fix until
confirmed.

	Thanks in advance...

	Jean

P.S. : http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html#latest



Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#398018; Package wireless-tools. Full text and rfc822 format available.

Acknowledgement sent to charles-debian-nospam@plessy.org:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #21 received at 398018@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Jean Tourrilhes <jt@hpl.hp.com>
Cc: Guus Sliepen <guus@debian.org>, 398018@bugs.debian.org
Subject: Re: [charles-debian-nospam@plessy.org: Bug#398018: wireless-tools: iwlist crashes on my airmac extreme network.]
Date: Sat, 17 Mar 2007 13:19:06 +0900
Le Thu, Mar 15, 2007 at 05:02:46PM -0700, Jean Tourrilhes a écrit :
> 
> 	Believe it or not, I think we are making progress on that
> bug. The most likely cause is that you are using a 32 bit userspace on
> a 64 bit kernel.
> 	I've put a new version of Wireless Tools on my web page,
> version 29-pre17. I would be grateful if you were to test that version
> and report if it fixes your bug or not.

Bonjour Jean,

It works :) Many thanks for your help.

Have a nice day,

-- 
Charles Plessy
http://charles.plessy.org
Wako, Saitama, Japan



Reply sent to Guus Sliepen <guus@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 398018-close@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 398018-close@bugs.debian.org
Subject: Bug#398018: fixed in wireless-tools 29~pre17-1
Date: Tue, 27 Mar 2007 08:47:06 +0000
Source: wireless-tools
Source-Version: 29~pre17-1

We believe that the bug you reported is fixed in the latest version of
wireless-tools, which is due to be installed in the Debian FTP archive:

ifrename_29~pre17-1_amd64.deb
  to pool/main/w/wireless-tools/ifrename_29~pre17-1_amd64.deb
libiw-dev_29~pre17-1_amd64.deb
  to pool/main/w/wireless-tools/libiw-dev_29~pre17-1_amd64.deb
libiw29-udeb_29~pre17-1_amd64.udeb
  to pool/main/w/wireless-tools/libiw29-udeb_29~pre17-1_amd64.udeb
libiw29_29~pre17-1_amd64.deb
  to pool/main/w/wireless-tools/libiw29_29~pre17-1_amd64.deb
wireless-tools-udeb_29~pre17-1_amd64.udeb
  to pool/main/w/wireless-tools/wireless-tools-udeb_29~pre17-1_amd64.udeb
wireless-tools_29~pre17-1.diff.gz
  to pool/main/w/wireless-tools/wireless-tools_29~pre17-1.diff.gz
wireless-tools_29~pre17-1.dsc
  to pool/main/w/wireless-tools/wireless-tools_29~pre17-1.dsc
wireless-tools_29~pre17-1_amd64.deb
  to pool/main/w/wireless-tools/wireless-tools_29~pre17-1_amd64.deb
wireless-tools_29~pre17.orig.tar.gz
  to pool/main/w/wireless-tools/wireless-tools_29~pre17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 398018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guus Sliepen <guus@debian.org> (supplier of updated wireless-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 27 Mar 2007 10:39:33 +0200
Source: wireless-tools
Binary: libiw29-udeb wireless-tools-udeb wireless-tools ifrename libiw29 libiw-dev
Architecture: source amd64
Version: 29~pre17-1
Distribution: experimental
Urgency: low
Maintainer: Guus Sliepen <guus@debian.org>
Changed-By: Guus Sliepen <guus@debian.org>
Description: 
 ifrename   - Rename network interfaces based on various static criteria
 libiw-dev  - Wireless tools - development files
 libiw29    - Wireless tools - library
 libiw29-udeb - Tools for manipulating Linux Wireless Extensions (udeb)
 wireless-tools - Tools for manipulating Linux Wireless Extensions
 wireless-tools-udeb - Tools for manipulating Linux Wireless Extensions (udeb)
Closes: 398018
Changes: 
 wireless-tools (29~pre17-1) experimental; urgency=low
 .
   * New upstream release. Closes: #398018
   * Add LSB section to the ifrename init script.
Files: 
 3cb03d2c21ec4a71e44d1847dfd07d5c 661 net extra wireless-tools_29~pre17-1.dsc
 8e77298f8335ff1a5dd6ceefd40a8f1b 279974 net extra wireless-tools_29~pre17.orig.tar.gz
 e9af24ae8bc1c7b33f6e4f8f92784562 7099 net extra wireless-tools_29~pre17-1.diff.gz
 a5d8d596aa9c08e4c53aac459f456f25 113588 net extra wireless-tools_29~pre17-1_amd64.deb
 bf746560e3826a161299fc007c04544d 58966 net extra ifrename_29~pre17-1_amd64.deb
 bfa1cb2545852bd0e67c1fbecf007e9b 31660 libs extra libiw29_29~pre17-1_amd64.deb
 74ba3a1532d0176c59ada0b02c47499d 53396 libdevel extra libiw-dev_29~pre17-1_amd64.deb
 0212952df0dd3fb657540ae029b3f7dc 13386 debian-installer extra wireless-tools-udeb_29~pre17-1_amd64.udeb
 1efbb244a5b1837b0d2c631b7c43c258 13526 debian-installer extra libiw29-udeb_29~pre17-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGCNi1AxLow12M2nsRAh/eAJ9YaXd89TWV3qpGc4osHcu3v3RkrQCeOfAL
DJ4SMr0blwcZWdodz8/4sus=
=3kpU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Aug 2007 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:39:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.